#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import locale
locale.setlocale(locale.LC_ALL, '')

from tuikit import *


class MyApplication(Application):
    def __init__(self):
        Application.__init__(self)
        self.top.connect('keypress', self.globalkeypress)

        model = TreeModel()
        model.add('/',  ['a', 'b'])
        model.add('/a', ['c', 'd'])
        model.add((0,1), ['e', 'f'])
        model.add('/0/1/0', 'g')
        model.add('/a/d/f', 'h')
        
        view = TreeView(model)
        view.collapse('/a/d')
        self.top.add(view)

        vert = VerticalLayout()
        self.top.layout(vert)

    def globalkeypress(self, keyname, char):
        if keyname == 'escape':
            self.terminate()


if __name__ == '__main__':
    app = MyApplication()
    app.start()

